amqp-client

Lua AMQP 0.9.1 client

$ luarocks install amqp-client

A pure Lua Client for AMQP 0.9.1.
This library is already tested with RabbitMQ and should work with any other AMQP 0.9.1 broker and can be used with LuaJIT and does not have to be used only in OpenResty.

Developed by: Meng Zhang, Aleksey Konovkin, 4mig4 and Denys Santos.

Versions

1.3.0-1353 days ago792 downloads
1.2.1-1353 days ago14 downloads
1.2.0-1355 days ago11 downloads

Dependencies

lua >= 5.1

Dependency for

kong-plugin-amqp

Manifests